	SUBROUTINE INTALP (NUMBER, LABEL)
C
	IMPLICIT INTEGER (A - Z)
	LOGICAL*1 NDIGIT, LABEL, BLANK
	DIMENSION LABEL (5), NDIGIT (10)
	DATA NDIGIT / '0','1','2','3','4','5','6','7','8','9' /
	DATA BLANK /' '/
C
C	***************************************************************
C
	INUM = NUMBER
	I = 1
32098	IF (I .GT. 5) GO TO 32097
	IPOWER = 10**(5 - I)
	IDIGIT = INUM / IPOWER
	LABEL(I) = NDIGIT(IDIGIT + 1)
	INUM = INUM - IDIGIT * IPOWER
	I = I + 1
	GO TO 32098
C
32097	I = 1
32096	IF (LABEL(I) .NE. '0') GO TO 32095
	LABEL(I) = BLANK
	I = I + 1
	GO TO 32096
C
32095	RETURN
	END
